> For the complete documentation index, see [llms.txt](https://docs.jakebot.co.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jakebot.co.uk/basic-usage-and-setup/basic-slash-commands.md).

# Basic Slash Commands

<details>

<summary>/translate [Language] [Text to Translate]</summary>

This allows you to quickly translate text into a different language, there is a list of suggested languages based on what you type for you to pick from to help reduce issues with incorrect languages. Noteworthy is that no matter if you are using Google Translate or Microsoft Translate, this command can access every single one of the 150+ languages the bot can translate, for free!

</details>

<details>

<summary>/settings automatic_translation new [name] [language_from] [language_to]</summary>

We'll get into this more in [a later section](/basic-usage-and-setup/create-your-first-automatic-translation-setup.md). But this command allows you to quickly and easily create a new Automatic Translation setup

</details>

<details>

<summary>/languages</summary>

View all the languages the bot can translate written in both the native language and English. It also shows the international language code for quick reference. As well as what languages are only available with Google (premium). By default, the response from this is only visible to you.

</details>

<details>

<summary>/your_language [language]</summary>

Use this to tell Jake what your chosen spoken language is, this can then be instantly translated to using `To Your Language` in the[ Message Command Menu](/basic-usage-and-setup/message-commands-really-cool.md) (see the next page for more details)

</details>

<details>

<summary>/settings help</summary>

This gives you a breakdown of the entire Automatic Translation system's commands, useful for a quick reference in a more digestible form than Discord's slash command interface.

</details>

<details>

<summary>/translation_usage</summary>

This shows you how many characters your server has used this month, as well as estimated character usage for the entire month, among several other useful bits of info. By default, the response from this is only visible to you.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jakebot.co.uk/basic-usage-and-setup/basic-slash-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
